// Copyright (C) 2012-2014 Damir Korencic, Strahil Ristov
//
// This file is part of lzlex v0.1
//
// lzlex is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// lzlex is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with lzlex.  If not, see <http://www.gnu.org/licenses/>.

#ifndef ISYMBOLARRAY_H
#define	ISYMBOLARRAY_H

/** Common interface for all implementations of a TSymbol array
 * needed in a CompactArray. */
template <typename TSymbol>
class ISymbolArray {
public:

    virtual TSymbol operator[](size_t i) = 0;

    virtual ~ISymbolArray() {};

};

#endif	/* ISYMBOLARRAY_H */


