// Copyright (C) 2012-2014 Damir Korencic, Strahil Ristov
//
// This file is part of lzlex v0.1
//
// lzlex is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// lzlex is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with lzlex.  If not, see <http://www.gnu.org/licenses/>.

#ifndef GENERIC_SYMBOL_H
#define	GENERIC_SYMBOL_H

/** @return largest number that can fit in given TSymbol type */
template <typename TSymbol>
TSymbol maxSymbol() {
    return 0;
}

/** @return zero symbol used for example for marking end of string */
template <typename TSymbol>
TSymbol zeroSymbol() {
    return 0;
}

template <typename TSymbol>
int symbolToInt(TSymbol s) {
    return (int)s;
}

#endif	/* GENERIC_SYMBOL_H */


