// Copyright (C) 2012-2014 Damir Korencic, Strahil Ristov
//
// This file is part of lzlex v0.1
//
// lzlex is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// lzlex is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with lzlex.  If not, see <http://www.gnu.org/licenses/>.

//STANDALONE UTILITY FUNCTIONS

#include "utils.h"

#include <ctime>

void randomSeed() {
    srand(time(0));
}

/** Generate a random string that is very likely to be universally unique. */
string getRandomString() {
    typedef unsigned long TRange;
    TRange min = 1000000ul, max = 1000000000ul;
    ostringstream ss;

    ss << "rand_" << time(NULL) << getRandomNumber(min, max);

    return ss.str();
}

